**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/24.2/documents/document-annotations/retrieve-annotation-placemark-type-metadata.md

# Retrieve Annotation Placemark Type Metadata



Retrieves the metadata of a specified annotation placemark type. Learn more about [placemark types in the Vault Java SDK documentation](/library/references/about-annotations/#Annotation_Placemarks).

<Endpoint path="/api/{version}/metadata/objects/documents/annotations/placemarks/types/{placemark_type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{placemark_type}` | The name of the placemark type. For example, `sticky__sys`. Learn more about [placemark types in the Vault Java SDK documentation](/library/references/about-annotations/#Annotation_Placemarks). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.2/metadata/objects/documents/annotations/placemarks/types/arrow__sys \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "name": "arrow__sys",
        "fields": [
            {
                "name": "coordinates__sys",
                "type": "Number list",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "height__sys",
                "type": "Number",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "width__sys",
                "type": "Number",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "x_coordinate__sys",
                "type": "Number",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "y_coordinate__sys",
                "type": "Number",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "page_number__sys",
                "type": "Number",
                "system_managed": false,
                "value_set": []
            },
            {
                "name": "style__sys",
                "type": "String",
                "system_managed": false,
                "value_set": [
                    "arrow_down_left__sys",
                    "arrow_down_right__sys",
                    "arrow_left_down__sys",
                    "arrow_left_up__sys",
                    "arrow_right_down__sys",
                    "arrow_right_up__sys",
                    "arrow_up_left__sys",
                    "arrow_up_right__sys"
                ]
            },
            {
                "name": "type__sys",
                "type": "String",
                "system_managed": false,
                "value_set": [
                    "arrow__sys"
                ]
            }
        ]
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes a list of metadata information for the specified placemark type. Each response may include some or all of the following fields depending on type:



---

**Previous:** [Retrieve Annotation Type Metadata](/commercial/vault-api/api-reference/24.2/documents/document-annotations/retrieve-annotation-type-metadata)  
**Next:** [Retrieve Annotation Reference Type Metadata](/commercial/vault-api/api-reference/24.2/documents/document-annotations/retrieve-annotation-reference-type-metadata)